POST /v1/automation/workflows/{workflowID}/publish
POST
/v1/automation/workflows/{workflowID}/publishAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
workflowIDstringrequiredRequest body
requiredapplication/jsonversion_idstringrequiredResponses
200OK
objectdefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/automation/workflows/string/publish" \
-H "Content-Type: application/json" \
-d '{
"version_id": "string"
}'const response = await fetch("/v1/automation/workflows/string/publish", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"version_id": "string"
})
});import requests
response = requests.post(
"/v1/automation/workflows/string/publish",
headers={
"Content-Type": "application/json"
},
json={
"version_id": "string"
},
)Response
{}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}